/**************************************************************************\
**
**  EventShell.c
**
**  Sample XTLite bulb to use as a starting point to handle idle events.
**
**
**  Copyright  1993,1994 Quark Incorporated
**  All Rights Reserved
**
\**************************************************************************/

#include "XTLite.h"

/**************************************************************************\
**
**  setupidle
**
**  Setup for handling Idle calls.
**
**  Entry: None.
**
**  Exit:  TRUE if you want to handle Idle calls; FALSE if not.
**
\**************************************************************************/
bool8 setupidle(void)
{
	return (TRUE);
}

void idlecall(EventRecord *myevent)
{
	/* Insert your code here */
	if(myevent->what == mouseDown)
		SysBeep(0);
}

/**************************************************************************\
**
**  Remaining code tells XPress we don't want to handle filters or menus.
**
\**************************************************************************/
void setupfilter(OSType *fcreator,OSType *ftype,bool8 *importok,bool8 *exportok,
	Str255 getstr,Str255 savestr,Str255 suffixstr)
{
	*importok = *exportok = FALSE;
}
uchar readchar(int16 fnum) {}
void startread(int16 fnum) {}
void readtext(int16 fnum,Str255 textbuffer,int32 *count,filtertxtattrib *textattribs,
	filterparaattrib *paraattribs,RGBColor *textcolor) {}
void endread(int16 fnum) {}
void startwrite(int16 fnum) {}
void writetext(int16 fnum,Str255 textbuffer,int32 count,filtertxtattrib *textattribs,
	filterparaattrib *paraattribs,RGBColor *textcolor) {}
void endwrite(int16 fnum) {}
bool8 setupmenu(Str255 menustr)
{
	return (FALSE);
}
void menucall(void) {}