/**************************************************************************\
**
**  MenuShell.c
**
**  Sample XTLite bulb to use as a starting point to add menu items.
**
**
**  Copyright  1993,1994 Quark Incorporated
**  All Rights Reserved
**
\**************************************************************************/

#include "XTLite.h"

#define STRINGRESID	20000
#define MENUSTRID		1

/**************************************************************************\
**
**  setupmenu
**
**  Setup for adding a menu item to the Utilities menu.
**
**  Entry: Storage for the text of the menu item.
**
**  Exit:  TRUE if you want to add your own menu item; FALSE if not.
**
\**************************************************************************/
bool8 setupmenu(Str255 menustr)
{
	GetIndString(menustr,STRINGRESID,MENUSTRID);	/* get "Menu" String */
	return (TRUE);
}

void menucall(void)
{
	/* Put you own code here! */
	SysBeep(1);
}


/**************************************************************************\
**
**  Remaining code tells XPress we don't want to handle filters or events.
**
\**************************************************************************/
void setupfilter(OSType *fcreator,OSType *ftype,bool8 *importok,bool8 *exportok,
	Str255 getstr,Str255 savestr,Str255 suffixstr)
{
	*importok = *exportok = FALSE;
}
uchar readchar(int16 fnum) {}
void startread(int16 fnum) {}
void readtext(int16 fnum,Str255 textbuffer,int32 *count,filtertxtattrib *textattribs,
	filterparaattrib *paraattribs,RGBColor *textcolor) {}
void endread(int16 fnum) {}
void startwrite(int16 fnum) {}
void writetext(int16 fnum,Str255 textbuffer,int32 count,filtertxtattrib *textattribs,
	filterparaattrib *paraattribs,RGBColor *textcolor) {}
void endwrite(int16 fnum) {}

bool8 setupidle(void)
{
	return (FALSE);
}
void idlecall(EventRecord *myevent) {}
